<?php
/**
* @version		1.1
* @package		DJ Classifieds
* @subpackage	DJ Classifieds Component
* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.
* @license		http://www.gnu.org/licenses GNU/GPL
* @autor url    http://design-joomla.eu
* @autor email  contact@design-joomla.eu
* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu
* 
* 
* DJ Classifieds is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Classifieds is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.
* 
*/

defined ('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');


class DJclassifiedsViewShowlist extends JView

{

	function display($tpl = null)

	{
		global $mainframe;
		jimport('joomla.html.pagination');
		JHTML::_( 'behavior.modal' );

		$model =& $this->getModel();
		$cat=$model->getCategory();
		$items=$model->getElements();
		$count_items = $model->getCountElements();
		
		$model->makePathway();

		$par =& $mainframe->getParams('com_djclassifieds');
		$limit	= JRequest::getVar('limit', $par->get('limit_djitem_show'), '', 'int');
		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
		$pagination = new JPagination($count_items, $limitstart, $limit);
		
		$this->assignRef('cat',$cat);
		$this->assignRef('par',$par);
		$this->assignRef('items',$items);
		$this->assignRef('count_items',$count_items);
		$this->assignRef('pagination',$pagination);

        parent::display($tpl);
	}

}




